Subject: Re: linux-next: build failure after merge of the vfs-brauner tree

From: Aleksa Sarai <[email-masked]>
Date: Wed, 27 May 2026 23:09:44 +1000

On 2026-05-27, Christian Brauner <[email-masked]> wrote:
> On Thu, May 21, 2026 at 03:58:05PM +0200, Jori Koolstra wrote:
> > 
> > > Op 19-05-2026 18:24 CEST schreef Mark Brown <[email-masked]>:
> > > 
> > >  
> > > On Mon, May 18, 2026 at 09:12:44PM +0200, Jori Koolstra wrote:
> > > > > Op 18-05-2026 19:13 CEST schreef Mark Brown <[email-masked]>:
> > > 
> > > > > Figured it'd be an arch specific version of a similar thing - I didn't
> > > > > audit them as you can see.
> > > 
> > > > These confusions with octal numbers in lists that aren't even ordered is
> > > > why I would prefer to use shifted values instead. I don't see any reason
> > > > actually why we should not just convert them all, apart from churning and
> > > > perhaps not doing it correctly (which would be bad). My rationale for mixing
> > > > was to use 1 << n at least for the remaining bits. If I remember correctly,
> > > > this is also what Aleksa preferred.
> > > 
> > > Yeah, shifted values do make sense to me as well - other than the
> > > inconsistent style the only issue I saw was that it's a bit less obvious
> > > that the values collide.
> > 
> > Yeah, that's unfortunate.
> > 
> > @Christian, can we get rid of these octal values? Or is that too much churn?
> 
> Do it.

If we could also get some comments in asm-generic that tell you which
flag bits are "cursed", that would also be quite great. My impression is
a fair number of people forget to check the arch-specific headers, so
having a note in the generic one would let us avoid this issue in future
(and IMHO will be more effective than just switching from octal).

-- 
Aleksa Sarai
Founding Engineer at Amutable
https://www.cyphar.com/